aboutsummaryrefslogtreecommitdiffstats
path: root/dpdk-tests/dpdk_scripts
diff options
context:
space:
mode:
Diffstat (limited to 'dpdk-tests/dpdk_scripts')
-rwxr-xr-xdpdk-tests/dpdk_scripts/cleanup_dpdk.sh23
-rwxr-xr-xdpdk-tests/dpdk_scripts/run_l2fwd.sh27
2 files changed, 36 insertions, 14 deletions
diff --git a/dpdk-tests/dpdk_scripts/cleanup_dpdk.sh b/dpdk-tests/dpdk_scripts/cleanup_dpdk.sh
index 8ab9c6f676..915d383bfa 100755
--- a/dpdk-tests/dpdk_scripts/cleanup_dpdk.sh
+++ b/dpdk-tests/dpdk_scripts/cleanup_dpdk.sh
@@ -12,15 +12,28 @@ port2_driver=$3
port2_pci=$4
#kill the dpdk application
-sudo pkill testpmd
-sudo pkill l2fwd
-sudo pkill l3fwd
+sudo pgrep testpmd
+if [ $? -eq "0" ]; then
+ success=false
+ sudo pkill testpmd
+ for attempt in {1..5}; do
+ sudo pgrep testpmd
+ if [ $? -eq "1" ]; then
+ success=true
+ break
+ fi
+ sleep 1
+ done
+ if [ ${success} -eq false ]; then
+ echo "The command sudo pkill testpmd failed"
+ exit 1
+ fi
+fi
+
sudo rm -f ${TESTPMD_PID}
sudo rm -f /dev/hugepages/*
cat ${TESTPMD_LOG}
-sleep 2
-
cd ${ROOTDIR}/dpdk-16.07/
./tools/dpdk-devbind.py -b ${port1_driver} ${port1_pci}
./tools/dpdk-devbind.py -b ${port2_driver} ${port2_pci}
diff --git a/dpdk-tests/dpdk_scripts/run_l2fwd.sh b/dpdk-tests/dpdk_scripts/run_l2fwd.sh
index 6df33a1317..dedabe1872 100755
--- a/dpdk-tests/dpdk_scripts/run_l2fwd.sh
+++ b/dpdk-tests/dpdk_scripts/run_l2fwd.sh
@@ -12,17 +12,26 @@ queue_nums=$3
jumbo_frames=$4
#kill the testpmd
-sudo pkill testpmd
-sudo rm -f ${TESTPMD_PID}
-
-sleep 2
-
-pid=`pgrep testpmd`
-if [ "$pid" != "" ]; then
- echo "terminate the testpmd failed!"
- exit 1
+sudo pgrep testpmd
+if [ $? -eq "0" ]; then
+ success=false
+ sudo pkill testpmd
+ for attempt in {1..5}; do
+ sudo pgrep testpmd
+ if [ $? -eq "1" ]; then
+ success=true
+ break
+ fi
+ sleep 1
+ done
+ if [ ${success} -eq false ]; then
+ echo "The command sudo pkill testpmd failed"
+ exit 1
+ fi
fi
+sudo rm -f ${TESTPMD_PID}
+
#run the testpmd
cd ${ROOTDIR}
if [ "$jumbo_frames" = "yes" ]; then